{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf profiles.isDesktop {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Bureautique
    aspell aspellDicts.fr
    dia
    gnumeric

    ## Cartes mentales
    freemind

    ## Editeur de texte
    lyx           # surcouche WISIWIM à LaTeX
    textadept     # un éditeur de texte facile pour copier-coller graphique
    zim           # outil de prise de notes, wiki de bureau

    ## Visionneuse
    kde5.okular   # pdf
    mcomix        # livres (cbr, liste d'images), gestion d'une bibliothèque
    pdfpc         # pdf
    qpdfview      # pdf
    gqview        # visionneuse image & gestion basique de collection

    ## Convertisseurs (texte -> <autre format>)
    gnuplot       # générateur de graphes à partir de données numériques
    graphviz      # dot, neato : traçage de graphes (carré, rond)
    jekyll        # générateur statique de site web
    odpdown       # conversion md -> presentation ODP : https://github.com/thorstenb/odpdown
    pandoc
    texlive.combined.scheme-full # distribution LaTeX
    #texLive       # distribution LaTeX de base
    #texLiveBeamer # paquets et extensions pour Beamer
    #texLiveModerncv # paquets pour la classe Modern CV
  ];
}
