{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.developpement {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Base de données
    pgadmin             # interface d'administration de postgres
    sqlitebrowser       # interface d'administration de sqlite

    # Développement
    cloc
    idea.idea-community # IntelliJ IDEA
    gcc                 # pour les appels depuis les scripts

    # Documentation
    zeal                # consulter la documentation hors ligne

    ## Gestion des sources
    # git               # déjà présent dans "base"
    # gitg              # interface pour utiliser git (historique, commit)
    gitstats            # génère un site web statique avec des statistiques
    gitAndTools.gitFull # pour gitk
    git-cola            # interface pour utiliser git (historique, commit)
    mercurial
    subversion

    ## Haskell
    ghc                 # pour les appels depuis les scripts
    stack

    ## Rust
    cargo               # récupération des dépendances + compilation projet rust
    rustc               # pour les appels depuis les scripts

    ## Visualisation & outils de diff
    gource              # visualisation en mouvement de l'historique git
    meld                # outil de comparaison graphique
    vbindiff            # diff de fichier hexadecimaux avec vim
  ];
}
